diff --git a/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookPageMob.java b/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookPageMob.java
index a9dcc739f..c805c8b50 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookPageMob.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookPageMob.java
@@ -67,7 +67,7 @@ public class GuidebookPageMob
             }
         }
 
-        discovered = mc.statsCounter.readStat(StatList.mobEncounterStats.get(EntityDispatcher.classToKeyMap.get(mobClass))) > 0;
+        discovered = mc.statsCounter.readStat(StatList.mobEncounterStats.get(EntityDispatcher.idForClass(mobClass))) > 0;
     }
 
     private static String[] createDescLines(Font fr, String languageKey) {
@@ -106,7 +106,7 @@ public class GuidebookPageMob
 
     @Override
     protected void renderForeground(TextureManager re, Font fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
-        discovered = mc.statsCounter.readStat(StatList.mobEncounterStats.get(EntityDispatcher.classToKeyMap.get(mobClass))) > 0;
+        discovered = mc.statsCounter.readStat(StatList.mobEncounterStats.get(EntityDispatcher.idForClass(mobClass))) > 0;
         if (mc.thePlayer.getGamemode() == Gamemode.creative || !mc.gameSettings.hideUndiscoveredItems.value) discovered = true;
 
         Lighting.disable();
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookSectionMob.java b/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookSectionMob.java
index 4d0680a64..7b21e39ee 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookSectionMob.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookSectionMob.java
@@ -88,7 +88,7 @@ public class GuidebookSectionMob
         @Override
         public String getName() {
         	Minecraft mc = Minecraft.getMinecraft(this);
-            boolean discovered = mc.statsCounter.readStat(StatList.mobEncounterStats.get(EntityDispatcher.classToKeyMap.get(mobInfo.getEntityClass()))) > 0;
+            boolean discovered = mc.statsCounter.readStat(StatList.mobEncounterStats.get(EntityDispatcher.idForClass(mobInfo.getEntityClass()))) > 0;
             if (mc.thePlayer.getGamemode() == Gamemode.creative) discovered = true;
 
             if (discovered) {
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/mobs/MobInfoRegistry.java b/src/main/java/net/minecraft/client/gui/guidebook/mobs/MobInfoRegistry.java
index cc72b3683..4d8c02cea 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/mobs/MobInfoRegistry.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/mobs/MobInfoRegistry.java
@@ -192,7 +192,7 @@ public abstract class MobInfoRegistry {
             this.drops = drops;
         }
 
-        public Class<?> getEntityClass() {
+        public Class<? extends Entity> getEntityClass() {
             return entityClass;
         }
 
diff --git a/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHealthBar.java b/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHealthBar.java
index cf78683eb..20f798e1b 100644
--- a/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHealthBar.java
+++ b/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHealthBar.java
@@ -83,7 +83,7 @@ public class HudComponentHealthBar
             }
             if (mc.thePlayer.inventory.getCurrentItem() != null && (mc.thePlayer.inventory.getCurrentItem().getItem() instanceof ItemFood || mc.thePlayer.inventory.getCurrentItem().getItem() instanceof ItemBucketIceCream) && mc.gameSettings.foodHealthRegenOverlay.value)
             {
-                int healing = 0;
+                int healing;
                 if (mc.thePlayer.inventory.getCurrentItem().getItem() instanceof ItemFood)
                 {
                     healing = ((ItemFood) mc.thePlayer.inventory.getCurrentItem().getItem()).getHealAmount();
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/ViewerCategoryEntity.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/ViewerCategoryEntity.java
index 3f18f69c2..a5240fb41 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/ViewerCategoryEntity.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/ViewerCategoryEntity.java
@@ -24,6 +24,7 @@ import net.minecraft.core.entity.Mob;
 import net.minecraft.core.entity.monster.MobHuman;
 import net.minecraft.core.entity.monster.MobZombie;
 import net.minecraft.core.lang.I18n;
+import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.util.helper.MathHelper;
 
 import java.util.ArrayList;
@@ -42,9 +43,9 @@ public class ViewerCategoryEntity extends ModelViewerCategory{
         createEntries();
     }
     public void createEntries(){
-        for (String s : EntityDispatcher.classToKeyMap.values()){
+        for (NamespaceID id : EntityDispatcher.idToClassMap.keySet()){
             try{
-                addEntry(new EntityEntryDispatcher(s));
+                addEntry(new EntityEntryDispatcher(id));
             } catch (Exception ignore){}
         }
         addEntry(new EntityEntryItem());
@@ -81,7 +82,7 @@ public class ViewerCategoryEntity extends ModelViewerCategory{
     public String getCurrentDisplayInfo(I18n translator) {
         String title = "None";
         if (displayEntity != null){
-            title = Entity.getNameFromEntity(displayEntity, false);
+            title = EntityDispatcher.idForClass(displayEntity.getClass()).toString();
         }
         return translator.translateKeyAndFormat("model.category.entity.info", title);
     }
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/BlockEntryMobSpawner.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/BlockEntryMobSpawner.java
index a660f5543..c9c7209e7 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/BlockEntryMobSpawner.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/BlockEntryMobSpawner.java
@@ -8,6 +8,7 @@ import net.minecraft.core.block.Blocks;
 import net.minecraft.core.block.entity.TileEntityMobSpawner;
 import net.minecraft.core.entity.EntityDispatcher;
 import net.minecraft.core.lang.I18n;
+import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.DisplayChunk;
 
@@ -37,9 +38,11 @@ public class BlockEntryMobSpawner extends BlockEntry{
 
     @Override
     public List<ButtonElement> getEntryButtons(Minecraft mc, Screen parentScreen, World world, int meta) {
-        List<String> ids = new ArrayList<>(EntityDispatcher.keyToClassMap.keySet());
-        ids.remove("mob");
-        ListSelectorButtonElement<String> dispatcherIds = new ListSelectorButtonElement<String>(-1, -120, 0, 120, 20, I18n.getInstance().translateKey("model.category.block.spawner.button.id"), ids, "Pig") {
+        List<String> ids = new ArrayList<>();
+        for (NamespaceID id : EntityDispatcher.idToClassMap.keySet()) {
+            ids.add(id.toString());
+        }
+        ListSelectorButtonElement<String> dispatcherIds = new ListSelectorButtonElement<String>(-1, -120, 0, 120, 20, I18n.getInstance().translateKey("model.category.block.spawner.button.id"), ids, "minecraft:pig") {
             @Override
             public String getNameFromElement(String element) {
                 return element;
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryDispatcher.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryDispatcher.java
index 1e2815803..8449297ee 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryDispatcher.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryDispatcher.java
@@ -5,13 +5,14 @@ import net.minecraft.client.gui.ButtonElement;
 import net.minecraft.client.gui.Screen;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.EntityDispatcher;
+import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.world.World;
 
 import java.util.List;
 
 public class EntityEntryDispatcher extends EntityEntry<Entity> {
-    public final String id;
-    public EntityEntryDispatcher(String dispatcherId){
+    public final NamespaceID id;
+    public EntityEntryDispatcher(NamespaceID dispatcherId){
         id = dispatcherId;
     }
     @Override
diff --git a/src/main/java/net/minecraft/client/gui/options/OptionsButtonElement.java b/src/main/java/net/minecraft/client/gui/options/OptionsButtonElement.java
index 84b8ad1be..723aba8ba 100644
--- a/src/main/java/net/minecraft/client/gui/options/OptionsButtonElement.java
+++ b/src/main/java/net/minecraft/client/gui/options/OptionsButtonElement.java
@@ -3,9 +3,6 @@ package net.minecraft.client.gui.options;
 import net.minecraft.client.gui.ButtonElement;
 import net.minecraft.client.option.Option;
 
-// Referenced classes of package net.minecraft.src:
-//            GuiButton, EnumOptions
-
 public class OptionsButtonElement extends ButtonElement
 {
 
diff --git a/src/main/java/net/minecraft/client/gui/options/OptionsScreen.java b/src/main/java/net/minecraft/client/gui/options/OptionsScreen.java
index fd518d2ea..9b1e88ed6 100644
--- a/src/main/java/net/minecraft/client/gui/options/OptionsScreen.java
+++ b/src/main/java/net/minecraft/client/gui/options/OptionsScreen.java
@@ -19,7 +19,6 @@ import org.lwjgl.input.Mouse;
 import org.lwjgl.opengl.GL11;
 
 import static org.lwjgl.opengl.GL11.*;
-import static org.lwjgl.opengl.GL11.glEnable;
 
 public class OptionsScreen
     extends Screen
diff --git a/src/main/java/net/minecraft/client/gui/options/components/ButtonComponent.java b/src/main/java/net/minecraft/client/gui/options/components/ButtonComponent.java
index f6ef7624a..b9d5bd982 100644
--- a/src/main/java/net/minecraft/client/gui/options/components/ButtonComponent.java
+++ b/src/main/java/net/minecraft/client/gui/options/components/ButtonComponent.java
@@ -9,7 +9,6 @@ import net.minecraft.core.sound.SoundCategory;
 import org.lwjgl.opengl.GL11;
 
 import static org.lwjgl.opengl.GL11.*;
-import static org.lwjgl.opengl.GL11.GL_BLEND;
 
 public abstract class ButtonComponent
     implements OptionsComponent
diff --git a/src/main/java/net/minecraft/client/gui/options/data/OptionsPages.java b/src/main/java/net/minecraft/client/gui/options/data/OptionsPages.java
index c3cb902a2..de6a8fc01 100644
--- a/src/main/java/net/minecraft/client/gui/options/data/OptionsPages.java
+++ b/src/main/java/net/minecraft/client/gui/options/data/OptionsPages.java
@@ -32,7 +32,6 @@ import net.minecraft.core.block.Blocks;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.util.helper.Utils;
-import net.minecraft.core.world.World;
 import org.useless.seedviewer.SeedViewerMain;
 import paulscode.sound.SoundSystem;
 
diff --git a/src/main/java/net/minecraft/client/gui/paged/Page.java b/src/main/java/net/minecraft/client/gui/paged/Page.java
index f2fa2f343..e71ae27e4 100644
--- a/src/main/java/net/minecraft/client/gui/paged/Page.java
+++ b/src/main/java/net/minecraft/client/gui/paged/Page.java
@@ -1,8 +1,6 @@
 package net.minecraft.client.gui.paged;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.gui.options.components.OptionsComponent;
-import net.minecraft.client.gui.options.data.OptionsPage;
 import net.minecraft.core.item.ItemStack;
 
 import java.util.ArrayList;
diff --git a/src/main/java/net/minecraft/client/gui/paged/ScreenPaged.java b/src/main/java/net/minecraft/client/gui/paged/ScreenPaged.java
index 06cc0f60f..e3badc430 100644
--- a/src/main/java/net/minecraft/client/gui/paged/ScreenPaged.java
+++ b/src/main/java/net/minecraft/client/gui/paged/ScreenPaged.java
@@ -12,7 +12,6 @@ import org.lwjgl.input.Mouse;
 import org.lwjgl.opengl.GL11;
 
 import static org.lwjgl.opengl.GL11.*;
-import static org.lwjgl.opengl.GL11.GL_TEXTURE_2D;
 
 public class ScreenPaged
     extends Screen {
diff --git a/src/main/java/net/minecraft/client/gui/subtitles/SubtitleTracker.java b/src/main/java/net/minecraft/client/gui/subtitles/SubtitleTracker.java
index 0d7a8e120..b6ce4f4d3 100644
--- a/src/main/java/net/minecraft/client/gui/subtitles/SubtitleTracker.java
+++ b/src/main/java/net/minecraft/client/gui/subtitles/SubtitleTracker.java
@@ -2,7 +2,6 @@ package net.minecraft.client.gui.subtitles;
 
 import net.minecraft.client.sound.SoundEvent;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.util.helper.MathHelper;
 
 import java.util.ArrayList;
 import java.util.LinkedHashMap;
diff --git a/src/main/java/net/minecraft/client/input/MouseInput.java b/src/main/java/net/minecraft/client/input/MouseInput.java
index e88669dda..73584950c 100644
--- a/src/main/java/net/minecraft/client/input/MouseInput.java
+++ b/src/main/java/net/minecraft/client/input/MouseInput.java
@@ -1,8 +1,5 @@
 package net.minecraft.client.input;
 
-import java.util.ArrayList;
-import java.util.List;
-
 import net.minecraft.client.render.window.GameWindowGLFW;
 import org.lwjgl.glfw.GLFW;
 import org.lwjgl.input.Mouse;
diff --git a/src/main/java/net/minecraft/client/input/glfw/GlfwJoystick.java b/src/main/java/net/minecraft/client/input/glfw/GlfwJoystick.java
index 06f70a47b..fd414f93e 100644
--- a/src/main/java/net/minecraft/client/input/glfw/GlfwJoystick.java
+++ b/src/main/java/net/minecraft/client/input/glfw/GlfwJoystick.java
@@ -19,7 +19,7 @@ public class GlfwJoystick {
 
         String guid = this.getGuid();
 
-        int vid = 0;
+        int vid;
         try {
             String lower = guid.substring(8, 10);
             String upper = guid.substring(10, 12);
@@ -31,7 +31,7 @@ public class GlfwJoystick {
             return;
         }
 
-        int did = 0;
+        int did;
         try {
             String lower = guid.substring(16, 18);
             String upper = guid.substring(18, 20);
diff --git a/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java b/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java
index 7e51a4f22..e731d560b 100644
--- a/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java
+++ b/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java
@@ -51,6 +51,7 @@ import net.minecraft.core.player.gamemode.Gamemode;
 import net.minecraft.core.player.inventory.menu.MenuAbstract;
 import net.minecraft.core.player.inventory.container.ContainerSimple;
 import net.minecraft.core.sound.SoundTypes;
+import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.util.helper.AES;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.helper.RSA;
@@ -368,7 +369,8 @@ public class PacketHandlerClient extends PacketHandler
             if (tileentity instanceof TileEntityMobSpawner)
             {
                 TileEntityMobSpawner tileEntityMobSpawner = (TileEntityMobSpawner) tileentity;
-                tileEntityMobSpawner.setMobId(setMobSpawnerPacket.spawnType);
+                NamespaceID namespaceID = EntityDispatcher.idForClass(setMobSpawnerPacket.entityClass);
+                tileEntityMobSpawner.setMobId(namespaceID == null ? "none" : namespaceID.toString());
 
                 tileEntityMobSpawner.setChanged();
             }
@@ -1157,7 +1159,11 @@ public class PacketHandlerClient extends PacketHandler
     
     @Override
     public void handleIds(SyncIDsPacket syncIDsPacket) {
-    	SoundTypes.setSoundIds(syncIDsPacket.soundIds);
+        if (syncIDsPacket.destinationId == SyncIDsPacket.DESTINATION_SOUND_IDS) {
+            SoundTypes.setSoundIds(syncIDsPacket.mapping);
+        } else if (syncIDsPacket.destinationId == SyncIDsPacket.DESTINATION_ENTITY_IDS) {
+            EntityDispatcher.setNumericIds(syncIDsPacket.mapping);
+        }
     }
     
     @Override
diff --git a/src/main/java/net/minecraft/client/net/thread/ThreadDownloadResources.java b/src/main/java/net/minecraft/client/net/thread/ThreadDownloadResources.java
index 65d282ec9..1dc07b9a4 100644
--- a/src/main/java/net/minecraft/client/net/thread/ThreadDownloadResources.java
+++ b/src/main/java/net/minecraft/client/net/thread/ThreadDownloadResources.java
@@ -12,8 +12,6 @@ import java.util.ArrayList;
 import java.util.List;
 import java.util.concurrent.atomic.AtomicInteger;
 
-import com.b100.json.JsonParser;
-import com.b100.json.element.JsonElement;
 import com.b100.utils.StringUtils;
 import com.b100.xml.XmlFile;
 import com.b100.xml.XmlParser;
diff --git a/src/main/java/net/minecraft/client/option/GameSettings.java b/src/main/java/net/minecraft/client/option/GameSettings.java
index 8d4576d7c..d2ff09934 100644
--- a/src/main/java/net/minecraft/client/option/GameSettings.java
+++ b/src/main/java/net/minecraft/client/option/GameSettings.java
@@ -481,7 +481,7 @@ public class GameSettings {
 		try {
 			BufferedReader br = new BufferedReader(new FileReader(optionsFile));
 			
-line:		for (String line = ""; (line = br.readLine()) != null;) {
+line:		for (String line; (line = br.readLine()) != null;) {
 				try {
 					int i = line.indexOf(':');
 					String key = line.substring(0, i);
diff --git a/src/main/java/net/minecraft/client/option/KeyBinding.java b/src/main/java/net/minecraft/client/option/KeyBinding.java
index 68184cee3..581ad42be 100644
--- a/src/main/java/net/minecraft/client/option/KeyBinding.java
+++ b/src/main/java/net/minecraft/client/option/KeyBinding.java
@@ -28,7 +28,7 @@ public class KeyBinding {
 	
 	private final String id;
 	
-	private InputDevice inputDevice = null;
+	private InputDevice inputDevice;
 	private int keyCode = -1;
 
 	private InputDevice defaultInputDevice = null;
diff --git a/src/main/java/net/minecraft/client/option/OptionFloat.java b/src/main/java/net/minecraft/client/option/OptionFloat.java
index 588f87589..58c3e7619 100644
--- a/src/main/java/net/minecraft/client/option/OptionFloat.java
+++ b/src/main/java/net/minecraft/client/option/OptionFloat.java
@@ -16,8 +16,14 @@ public class OptionFloat extends Option<Float>{
 
 	@Override
 	public void parse(String string) {
-		if(string.equalsIgnoreCase("true")) this.value = 1.0f;
-		if(string.equalsIgnoreCase("false")) this.value = 0.0f;
+		if(string.equalsIgnoreCase("true")) {
+			this.value = 1.0f;
+			return;
+		}
+		if(string.equalsIgnoreCase("false")) {
+			this.value = 0.0f;
+			return;
+		}
 		
 		this.value = Float.parseFloat(string);
 	}
diff --git a/src/main/java/net/minecraft/client/player/controller/PlayerController.java b/src/main/java/net/minecraft/client/player/controller/PlayerController.java
index 59036f09f..0f1591d45 100644
--- a/src/main/java/net/minecraft/client/player/controller/PlayerController.java
+++ b/src/main/java/net/minecraft/client/player/controller/PlayerController.java
@@ -114,7 +114,7 @@ public abstract class PlayerController {
 					previousDamage = 0.0f;
 					soundDelay = 0;
 					
-					int newBlockHitDelay = 5;
+					int newBlockHitDelay;
 					if(mineStrength > 0.5f) {
 						newBlockHitDelay = 2;
 					}else if(mineStrength > 0.4f) {
diff --git a/src/main/java/net/minecraft/client/render/CameraSorter.java b/src/main/java/net/minecraft/client/render/CameraSorter.java
index 5dd7cfef5..82cfc3648 100644
--- a/src/main/java/net/minecraft/client/render/CameraSorter.java
+++ b/src/main/java/net/minecraft/client/render/CameraSorter.java
@@ -5,9 +5,6 @@ import net.minecraft.client.render.terrain.ChunkRenderer;
 
 import java.util.Comparator;
 
-// Referenced classes of package net.minecraft.src:
-//            Entity, WorldRenderer
-
 public class CameraSorter
     implements Comparator<ChunkRenderer>
 {
diff --git a/src/main/java/net/minecraft/client/render/ChunkRendererComparator.java b/src/main/java/net/minecraft/client/render/ChunkRendererComparator.java
index e5291eebd..292a3ab06 100644
--- a/src/main/java/net/minecraft/client/render/ChunkRendererComparator.java
+++ b/src/main/java/net/minecraft/client/render/ChunkRendererComparator.java
@@ -5,9 +5,6 @@ import net.minecraft.client.render.terrain.ChunkRenderer;
 
 import java.util.Comparator;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldRenderer, Mob
-
 public class ChunkRendererComparator
     implements Comparator<ChunkRenderer>
 {
diff --git a/src/main/java/net/minecraft/client/render/DisplayList.java b/src/main/java/net/minecraft/client/render/DisplayList.java
index 888aa8c6b..7da023f78 100644
--- a/src/main/java/net/minecraft/client/render/DisplayList.java
+++ b/src/main/java/net/minecraft/client/render/DisplayList.java
@@ -5,9 +5,6 @@ import java.nio.IntBuffer;
 import net.minecraft.client.GLAllocation;
 import org.lwjgl.opengl.GL11;
 
-// Referenced classes of package net.minecraft.src:
-//            GLAllocation
-
 public class DisplayList
 {
 
diff --git a/src/main/java/net/minecraft/client/render/FogManager.java b/src/main/java/net/minecraft/client/render/FogManager.java
index df504172f..2d5be81e9 100644
--- a/src/main/java/net/minecraft/client/render/FogManager.java
+++ b/src/main/java/net/minecraft/client/render/FogManager.java
@@ -18,7 +18,6 @@ import net.minecraft.client.render.colorizer.Colorizers;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.Dimension;
-import net.minecraft.core.world.World;
 
 public class FogManager {
     public static final int FOG_MODE_SKY = -1;
diff --git a/src/main/java/net/minecraft/client/render/Font.java b/src/main/java/net/minecraft/client/render/Font.java
index 22dd70342..f6e52fb5d 100644
--- a/src/main/java/net/minecraft/client/render/Font.java
+++ b/src/main/java/net/minecraft/client/render/Font.java
@@ -94,7 +94,7 @@ public class Font {
     }
 
     private float renderCharAtPos(int formatCode, char c, boolean italic) {
-        float charWidth = 0;
+        float charWidth;
         if (c == 32)
         {
             charWidth = 4.0F;
diff --git a/src/main/java/net/minecraft/client/render/ItemRenderer.java b/src/main/java/net/minecraft/client/render/ItemRenderer.java
index b67cbc085..7d8f00b72 100644
--- a/src/main/java/net/minecraft/client/render/ItemRenderer.java
+++ b/src/main/java/net/minecraft/client/render/ItemRenderer.java
@@ -32,13 +32,6 @@ import static org.lwjgl.opengl.GL11.glEnable;
 import static org.lwjgl.opengl.GL11.glPopMatrix;
 import static org.lwjgl.opengl.GL11.glPushMatrix;
 
-// Referenced classes of package net.minecraft.src:
-//            RenderBlocks, MapItemRenderer, ItemStack, Block, 
-//            RenderEngine, Mob, Tessellator, Player,
-//            RenderHelper, MathHelper, World, Item, 
-//            ItemMap, PlayerLocal, RenderManager, RenderPlayer,
-//            Material, BlockFire, InventoryPlayer
-
 public class ItemRenderer
 {
 
diff --git a/src/main/java/net/minecraft/client/render/LightmapHelper.java b/src/main/java/net/minecraft/client/render/LightmapHelper.java
index 620ce591d..671a831f6 100644
--- a/src/main/java/net/minecraft/client/render/LightmapHelper.java
+++ b/src/main/java/net/minecraft/client/render/LightmapHelper.java
@@ -1,6 +1,5 @@
 package net.minecraft.client.render;
 
-import static org.lwjgl.opengl.GL11.*;
 import static org.lwjgl.opengl.GL13.*;
 
 import java.awt.image.BufferedImage;
diff --git a/src/main/java/net/minecraft/client/render/MapItemRenderer.java b/src/main/java/net/minecraft/client/render/MapItemRenderer.java
index 5caa559c1..dad99d663 100644
--- a/src/main/java/net/minecraft/client/render/MapItemRenderer.java
+++ b/src/main/java/net/minecraft/client/render/MapItemRenderer.java
@@ -14,10 +14,6 @@ import net.minecraft.core.world.saveddata.maps.ItemMapSavedData;
 import net.minecraft.core.world.saveddata.maps.MapWaypoint;
 import org.lwjgl.opengl.GL11;
 
-// Referenced classes of package net.minecraft.src:
-//            RenderEngine, MapData, MapColor, GameSettings, 
-//            Tessellator, MapCoord, FontRenderer, Player
-
 public class MapItemRenderer
 {
     public static final int IMAGE_WIDTH = 128;
diff --git a/src/main/java/net/minecraft/client/render/PanelCrashReport.java b/src/main/java/net/minecraft/client/render/PanelCrashReport.java
index c56d31a12..02e136fef 100644
--- a/src/main/java/net/minecraft/client/render/PanelCrashReport.java
+++ b/src/main/java/net/minecraft/client/render/PanelCrashReport.java
@@ -11,7 +11,6 @@ import java.io.StringWriter;
 import java.text.SimpleDateFormat;
 import java.util.Date;
 
-import javax.swing.BorderFactory;
 import javax.swing.JScrollPane;
 import javax.swing.JTextArea;
 import javax.swing.UIManager;
diff --git a/src/main/java/net/minecraft/client/render/PostProcessingManager.java b/src/main/java/net/minecraft/client/render/PostProcessingManager.java
index 4a464eb55..d51333690 100644
--- a/src/main/java/net/minecraft/client/render/PostProcessingManager.java
+++ b/src/main/java/net/minecraft/client/render/PostProcessingManager.java
@@ -51,7 +51,6 @@ public class PostProcessingManager
         reset();
         if (mc.gameSettings.colorCorrection.value == 0) return;
 
-        float surfaceness = 1.0f;
         float y = (float)mc.thePlayer.y;
         int maxY = mc.currentWorld.getWorldType().getMaxY();
         int minY = mc.currentWorld.getWorldType().getMinY();
@@ -61,7 +60,7 @@ public class PostProcessingManager
         // > half Y should be 100%, < quarter Y should be 0%
         int hToQRange = halfY - quarterY;
         float adjustedY = y - quarterY;
-        surfaceness = adjustedY / hToQRange;
+        float surfaceness = adjustedY / hToQRange;
         surfaceness = MathHelper.clamp(surfaceness, 0.0f, 1.0f);
 
         double temperature = mc.currentWorld.getBlockTemperature((int)mc.thePlayer.x, (int)mc.thePlayer.z); // Ranges from 0.0 to 1.0
@@ -76,8 +75,8 @@ public class PostProcessingManager
         {
             lastTemperature = temperature;
             temperature = (temperature * 2) - 1.0; // Ranges from -1.0 to 1.0
-            saturation += 0.25 * temperature * surfaceness;
-            contrast += -0.1 * temperature * surfaceness;
+            saturation += (float) (0.25 * temperature * surfaceness);
+            contrast += (float) (-0.1 * temperature * surfaceness);
         }
 
         // Perform season effects
diff --git a/src/main/java/net/minecraft/client/render/RenderBlockCache.java b/src/main/java/net/minecraft/client/render/RenderBlockCache.java
index 750a10e9c..c6ced206d 100644
--- a/src/main/java/net/minecraft/client/render/RenderBlockCache.java
+++ b/src/main/java/net/minecraft/client/render/RenderBlockCache.java
@@ -4,7 +4,6 @@ import java.util.Arrays;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.WorldSource;
 
 final public class RenderBlockCache {
diff --git a/src/main/java/net/minecraft/client/render/RenderBlocks.java b/src/main/java/net/minecraft/client/render/RenderBlocks.java
index 6fdbcacaa..2e169bec0 100644
--- a/src/main/java/net/minecraft/client/render/RenderBlocks.java
+++ b/src/main/java/net/minecraft/client/render/RenderBlocks.java
@@ -12,13 +12,6 @@ import net.minecraft.core.enums.LightLayer;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.WorldSource;
 
-// Referenced classes of package net.minecraft.src:
-//            Block, BlockRail, Tessellator, IBlockAccess,
-//            BlockBed, ModelBed, BlockRepeater, BlockPistonBase,
-//            BlockPistonExtension, Vec3D, BlockFire, BlockWireRedstone,
-//            EntityRenderer, BlockFluid, MathHelper, Material,
-//            BlockDoor, World
-
 public class RenderBlocks
 {
 
@@ -839,8 +832,6 @@ public class RenderBlocks
             d5 = tex.getSubIconV(1 - block.maxZ);
             d4 = tex.getSubIconU(block.maxY);
             d6 = tex.getSubIconV(1 - block.minZ);
-            d8 = d4;
-            d9 = d3;
             d10 = d5;
             d11 = d6;
             d8 = d3;
diff --git a/src/main/java/net/minecraft/client/render/RenderGlobal.java b/src/main/java/net/minecraft/client/render/RenderGlobal.java
index 0f623c0a3..650671495 100644
--- a/src/main/java/net/minecraft/client/render/RenderGlobal.java
+++ b/src/main/java/net/minecraft/client/render/RenderGlobal.java
@@ -39,7 +39,6 @@ import net.minecraft.core.util.phys.BoundingVolume;
 import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.world.AuroraProvider;
 import net.minecraft.core.world.LevelListener;
-import net.minecraft.core.world.World;
 import net.minecraft.core.world.season.Seasons;
 import net.minecraft.core.world.weather.Weather;
 import net.minecraft.core.world.weather.Weathers;
@@ -482,7 +481,7 @@ public class RenderGlobal
     public void markRenderersForNewPosition(int x, int y, int z)
     {
         x -= 8;
-        y -= 8;
+//        y -= 8;
         z -= 8;
         minBlockX = Integer.MAX_VALUE;
         minBlockY = Integer.MAX_VALUE;
diff --git a/src/main/java/net/minecraft/client/render/Scissor.java b/src/main/java/net/minecraft/client/render/Scissor.java
index e339eb950..d9167c196 100644
--- a/src/main/java/net/minecraft/client/render/Scissor.java
+++ b/src/main/java/net/minecraft/client/render/Scissor.java
@@ -1,6 +1,5 @@
 package net.minecraft.client.render;
 
-import net.minecraft.client.ScaledResolution;
 import net.minecraft.client.Minecraft;
 import net.minecraft.core.util.helper.MathHelper;
 import org.lwjgl.opengl.GL11;
diff --git a/src/main/java/net/minecraft/client/render/TextureManager.java b/src/main/java/net/minecraft/client/render/TextureManager.java
index 14b266f0b..4735ca002 100644
--- a/src/main/java/net/minecraft/client/render/TextureManager.java
+++ b/src/main/java/net/minecraft/client/render/TextureManager.java
@@ -2,7 +2,6 @@ package net.minecraft.client.render;
 
 import static net.minecraft.client.util.helper.Textures.*;
 import static net.minecraft.core.util.helper.Buffer.*;
-import static org.lwjgl.opengl.GL11.*;
 import static org.lwjgl.opengl.GL12.*;
 
 import java.awt.image.BufferedImage;
diff --git a/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererMobSpawner.java b/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererMobSpawner.java
index 239deb2ba..65c0421d2 100644
--- a/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererMobSpawner.java
+++ b/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererMobSpawner.java
@@ -11,10 +11,6 @@ import net.minecraft.core.entity.EntityDispatcher;
 import net.minecraft.core.world.World;
 import org.lwjgl.opengl.GL11;
 
-// Referenced classes of package net.minecraft.src:
-//            TileEntitySpecialRenderer, TileEntityMobSpawner, Entity, EntityList,
-//            RenderManager, TileEntity
-
 public class TileEntityRendererMobSpawner extends TileEntityRenderer<TileEntityMobSpawner>
 {
 
diff --git a/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererSign.java b/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererSign.java
index 6804b71ea..b646159a2 100644
--- a/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererSign.java
+++ b/src/main/java/net/minecraft/client/render/blockentity/TileEntityRendererSign.java
@@ -15,10 +15,6 @@ import net.minecraft.client.util.helper.Colors;
 import net.minecraft.core.util.helper.MathHelper;
 import org.lwjgl.opengl.GL11;
 
-// Referenced classes of package net.minecraft.src:
-//            TileEntitySpecialRenderer, ModelSign, TileEntitySign, Block,
-//            ModelRenderer, FontRenderer, TileEntity
-
 public class TileEntityRendererSign extends TileEntityRenderer<TileEntitySign>
 {
 
